org.eclipse.jgit.transport

## Class BaseReceivePack.FirstLine

- java.lang.Object
- - org.eclipse.jgit.transport.BaseReceivePack.FirstLine

Enclosing class:
  BaseReceivePack

    public static class BaseReceivePack.FirstLine
    extends Object

Data in the first line of a request, the line itself plus capabilities.

### Constructor Summary

Constructors
Constructor and Description
`BaseReceivePack.FirstLine(String line)` Parse the first line of a receive-pack request.

### Method Summary

Methods
`Set<String>` `getCapabilities()`
`String` `getLine()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BaseReceivePack.FirstLine

    public BaseReceivePack.FirstLine(String line)

Parse the first line of a receive-pack request.

Parameters:
  `line` - line from the client.

### Method Detail

#### getLine

    public String getLine()

Returns:
  non-capabilities part of the line.

#### getCapabilities

    public Set<String> getCapabilities()

Returns:
  capabilities parsed from the line.